Page MenuHomePhabricator

Use redis-based lock manager in dispatch changes in production
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

Ladsgroup created this task.Mar 7 2017, 1:14 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 7 2017, 1:14 PM
Ladsgroup moved this task from Incoming to Blocked on others on the User-Ladsgroup board.

The patch is there (https://gerrit.wikimedia.org/r/#/c/347395/) and I talked to Ops, It seems they are okay with merging it given it doesn't make too many requests to the redis nodes but it needs to be done after May 3rd due to the switchover.

Change 347395 merged by jenkins-bot:
[operations/mediawiki-config@master] Use redis lock manager for dispatching in all production repo instances

https://gerrit.wikimedia.org/r/347395

Mentioned in SAL (#wikimedia-operations) [2017-05-08T11:14:32Z] <Amir1> start of ladsgroup@tin:/srv/mediawiki-staging$ scap sync-file wmf-config/Wikibase-production.php 'USe redis lockManager for change dispatching (T159826)'

Mentioned in SAL (#wikimedia-operations) [2017-05-08T11:15:21Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase-production.php: USe redis lockManager for change dispatching (T159826) (duration: 00m 56s)

Ladsgroup closed this task as Resolved.May 8 2017, 11:59 AM
Ladsgroup moved this task from Monitoring to Done on the Wikidata-Former-Sprint-Board board.